Hex Editor Neo provides a number of checksum calculation algorithms. All algorithms are capable of quickly calculating the result for the whole document, or only part of it. All checksum calculation algorithms fully support multiple selection.
The following section, Checksum Tool Window, describes the user interface window used to configure and start checksum calculation. Below is a complete list of supported algorithms.
Contains CRC (cyclic redundancy check) algorithms:
| Algorithm | Bits | Polynomial | Initial | XOR Out | Reflection IN | Reflection Out | Notes |
|---|---|---|---|---|---|---|---|
| CRC-16 | 16 | 0x8005 | 0 | 0 | Y | Y | Cyclic redundancy check. CRC polynomial: x16 + x15 + x2 + 1. Used in XMODEM, USB, many others. |
| CRC-16 (CRC-CCITT) | 16 | 0x1021 | 0xFFFF | 0 | N | N | Cyclic redundancy check. CRC polynomial: x16 + x12 + x5 + 1. Used in X.25, V.41, Bluetooth, PPP, IrDA, BACnet |
| CRC-32 | 32 | 0x04C11DB7 | 0xFFFFFFFF | 0xFFFFFFFF | Y | Y | Cyclic redundancy check. CRC polynomial: x32 + x26 + x23 + x22 + x16 + x12 + x11 + x10 + x8 + x7 + x5 + x4 + x2 + x + 1. Used in V.42, MPEG-2. |
| CRC XMODEM | 32 | 0x8408 | 0 | 0 | Y | Y | Cyclic redundancy check. CRC polynomial: x16 + x12 + x5 + 1. Used in XMODEM. |
| CRC-64 | 64 | 0x42F0E1EBA9EA3693 | 0 | 0 | N | N | Cyclic redundancy check. CRC polynomial: x64 + x62 + x57 + x55 + x54 + x53 + x52 + x47 + x46 + x45 + x40 + x39 + x38 + x37 + x35 + x33 + x32 + x31 + x29 + x27 + x24 + x23 + x22 + x21 + x19 + x17 + x13 + x12 + x10 + x9 + x7 + x4 + x+1. ECMA-182, XZ Utils |
| CRC-64/WE | 64 | 0x42F0E1EBA9EA3693 | 0xFFFFFFF'FFFFFFFFF | 0xFFFFFFF'FFFFFFFFF | N | N | Same as CRC-64 but with initial remainder and output XOR set to 0xFFFFFFF'FFFFFFFFF. |
| CRC-64/XZ | 64 | 0x42F0E1EBA9EA3693 | 0xFFFFFFF'FFFFFFFFF | 0xFFFFFFF'FFFFFFFFF | Y | Y | Same as CRC-64/WE but with initial and output reflections. |
| Custom CRC | Allows you to specify the polynomial values used in checksum calculation. See the Configuring Custom CRC section for more information. |
Additionally, the following checksum algorithms are supported:
| Algorithm | Notes |
|---|---|
| Adler-32 | Adler-32 checksum. Used in zlib and others. |
| Fletcher | RFC 1146. Fletcher checksum. |
The following algorithms are supported:
| Algorithm | Notes |
|---|---|
| FNV-1 32-bit | 32-bit FNV-1 hash |
| FNV-1a 32-bit | 32-bit FNV-1a hash |
| FNV-1 64-bit | 64-bit FNV-1 hash |
| FNV-1a 64-bit | 64-bit FNV-1a hash |
| Custom FNV-1 | FNV-1(a) hash with custom parameters |
The following algorithms are supports:
| Algorithm | Notes |
|---|---|
| xxHash32 | 32-bit xxHash |
| xxHash64 | 64-bit xxHash |
| xxHash3 | 64-bit xxHash3 |
| xxHash128 | 128-bit xxHash |
Note that actual list of algorithms in this section depends on version and localization of operating system. Some of the following algorithms may not be available in old or localized versions of operating system.
| Algorithm | Notes |
|---|---|
| MD2 | RFC 1319. Digest size is 128 bits. |
| MD4 | Digest size is 128 bits. |
| MD5 | Digest size is 128 bits. |
| SHA-1 | RFC 3174. Digest size is 128 bits. |
| SHA-256 | Not supported on Windows XP |
| SHA-384 | Not supported on Windows XP |
| SHA-512 | Not supported on Windows XP |
| RMD-160 | RIPEMD-160 (RACE Integrity Primitives Evaluation Message Digest) - 160-bit message digest algorithm. |
| RMD-128 | RIPEMD-128 (RACE Integrity Primitives Evaluation Message Digest) - 128-bit message digest algorithm. |
| BLAKE2s | BLAKE2 cryptographic hash function (BLAKE2s variant) |
| BLAKE2b | BLAKE2 cryptographic hash function (BLAKE2b variant) |
| BLAKE3 | BLAKE3 cryptographic hash function |